Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
debug_counter.c File Reference
`#include "internal.h"`
`#include "debug_counter.h"`
`#include <stdio.h>`
`#include <locale.h>`

Go to the source code of this file.

## Functions
void | rb_debug_counter_show_results (const char *msg)
size_t | ruby_debug_counter_get (const char **names_ptr, size_t *counters_ptr)
void | ruby_debug_counter_reset (void)
void | ruby_debug_counter_show_at_exit (int enable)

## Function Documentation

## ◆ rb_debug_counter_show_results()

void rb_debug_counter_show_results | ( | const char * | msg | ) |

Definition at line 116 of file debug_counter.c.

Referenced by ruby_default_signal().

## ◆ ruby_debug_counter_get()

size_t ruby_debug_counter_get | ( | const char ** | names_ptr,
|  | size_t * | counters_ptr
| ) |  |

Definition at line 121 of file debug_counter.c.

## ◆ ruby_debug_counter_reset()

void ruby_debug_counter_reset | ( | void |  | ) |

Definition at line 126 of file debug_counter.c.

## ◆ ruby_debug_counter_show_at_exit()

void ruby_debug_counter_show_at_exit | ( | int | enable | ) |

Definition at line 131 of file debug_counter.c.